lineage: Complete the rebrand
* TODO: Rebrand cmsdk when it's in a working state
Change-Id: I0d8d573f9e0032110ae3a0f54ebe11a877b83137
diff --git a/build/core/clear_vars.mk b/build/core/clear_vars.mk
index 74ce25b..be03976 100644
--- a/build/core/clear_vars.mk
+++ b/build/core/clear_vars.mk
@@ -1,5 +1,5 @@
#
-#CM-specific variable clears
+# Lineage-specific variable clears
#
LOCAL_IGNORE_SUBDIR :=
@@ -13,4 +13,4 @@
LOCAL_MAVEN_TARGET_MODULE :=
LOCAL_MAVEN_REPO_ID :=
LOCAL_MAVEN_SOURCES :=
-LOCAL_MAVEN_JAVADOC :=
\ No newline at end of file
+LOCAL_MAVEN_JAVADOC :=
diff --git a/build/core/definitions.mk b/build/core/definitions.mk
index c2c157c..00ea713 100644
--- a/build/core/definitions.mk
+++ b/build/core/definitions.mk
@@ -1,5 +1,5 @@
#
-# CM-specific macros
+# Lineage-specific macros
#
define uniq
$(if $1,$(firstword $1) $(call uniq,$(filter-out $(firstword $1),$1)))
diff --git a/build/envsetup.sh b/build/envsetup.sh
index 2f7568d..2ea5fe6 100644
--- a/build/envsetup.sh
+++ b/build/envsetup.sh
@@ -1,4 +1,4 @@
-function __print_cm_functions_help() {
+function __print_lineage_functions_help() {
cat <<EOF
Additional LineageOS functions:
- cout: Changes directory to out.
@@ -7,9 +7,9 @@
- mmmp: Builds all of the modules in the supplied directories and pushes them to the device.
- mms: Short circuit builder. Quickly re-build the kernel, rootfs, boot and system images
without deep dependencies. Requires the full build to have run before.
-- cmgerrit: A Git wrapper that fetches/pushes patch from/to LineageOS Gerrit Review.
-- cmrebase: Rebase a Gerrit change and push it again.
-- cmremote: Add git remote for LineageOS Gerrit Review.
+- lineagegerrit: A Git wrapper that fetches/pushes patch from/to LineageOS Gerrit Review.
+- lineagerebase: Rebase a Gerrit change and push it again.
+- lineageremote: Add git remote for LineageOS Gerrit Review.
- aospremote: Add git remote for matching AOSP repository.
- cafremote: Add git remote for matching CodeAurora repository.
- mka: Builds using SCHED_BATCH on all processors.
@@ -40,7 +40,7 @@
{
target=$1
local variant=$2
- CM_DEVICES_ONLY="true"
+ LINEAGE_DEVICES_ONLY="true"
unset LUNCH_MENU_CHOICES
add_lunch_combo full-eng
for f in `/bin/ls vendor/lineage/vendorsetup.sh 2> /dev/null`
@@ -64,12 +64,7 @@
variant="userdebug"
fi
- if ! check_product lineage_$target && check_product cm_$target; then
- echo "** Warning: '$target' is using CM-based makefiles. This will be deprecated in the next major release."
- lunch cm_$target-$variant
- else
- lunch lineage_$target-$variant
- fi
+ lunch lineage_$target-$variant
fi
fi
return $?
@@ -96,7 +91,7 @@
done
echo "Device Found.."
fi
- if (adb shell getprop ro.cm.device | grep -q "$CM_BUILD"); then
+ if (adb shell getprop ro.lineage.device | grep -q "$LINEAGE_BUILD"); then
# if adbd isn't root we can't write to /cache/recovery/
adb root
sleep 1
@@ -112,7 +107,7 @@
fi
rm /tmp/command
else
- echo "The connected device does not appear to be $CM_BUILD, run away!"
+ echo "The connected device does not appear to be $LINEAGE_BUILD, run away!"
fi
return $?
else
@@ -236,23 +231,23 @@
fi
}
-function cmremote()
+function lineageremote()
{
if ! git rev-parse --git-dir &> /dev/null
then
echo ".git directory not found. Please run this from the root directory of the Android repository you wish to set up."
return 1
fi
- git remote rm cmremote 2> /dev/null
+ git remote rm lineage 2> /dev/null
GERRIT_REMOTE=$(git config --get remote.github.projectname)
- CMUSER=$(git config --get review.review.lineageos.org.username)
- if [ -z "$CMUSER" ]
+ LINEAGE_USER=$(git config --get review.review.lineageos.org.username)
+ if [ -z "$LINEAGE_USER" ]
then
- git remote add cmremote ssh://review.lineageos.org:29418/$GERRIT_REMOTE
+ git remote add lineage ssh://review.lineageos.org:29418/$GERRIT_REMOTE
else
- git remote add cmremote ssh://$CMUSER@review.lineageos.org:29418/$GERRIT_REMOTE
+ git remote add lineage ssh://$LINEAGE_USER@review.lineageos.org:29418/$GERRIT_REMOTE
fi
- echo "Remote 'cmremote' created"
+ echo "Remote 'lineage' created"
}
function aospremote()
@@ -319,7 +314,7 @@
sleep 1
adb wait-for-online shell mount /system 2>&1 > /dev/null
adb wait-for-online remount
- if (adb shell getprop ro.cm.device | grep -q "$CM_BUILD");
+ if (adb shell getprop ro.lineage.device | grep -q "$LINEAGE_BUILD");
then
adb push $OUT/boot.img /cache/
if [ -e "$OUT/system/lib/modules/*" ];
@@ -333,7 +328,7 @@
adb shell dd if=/cache/boot.img of=$PARTITION
echo "Installation complete."
else
- echo "The connected device does not appear to be $CM_BUILD, run away!"
+ echo "The connected device does not appear to be $LINEAGE_BUILD, run away!"
fi
}
@@ -367,13 +362,13 @@
sleep 1
adb wait-for-online shell mount /system 2>&1 >> /dev/null
adb wait-for-online remount
- if (adb shell getprop ro.cm.device | grep -q "$CM_BUILD");
+ if (adb shell getprop ro.lineage.device | grep -q "$LINEAGE_BUILD");
then
adb push $OUT/recovery.img /cache/
adb shell dd if=/cache/recovery.img of=$PARTITION
echo "Installation complete."
else
- echo "The connected device does not appear to be $CM_BUILD, run away!"
+ echo "The connected device does not appear to be $LINEAGE_BUILD, run away!"
fi
}
@@ -393,13 +388,13 @@
if [ "$REPO_REMOTE" = "github" ]
then
pwd
- cmremote
- git push cmremote HEAD:refs/heads/'$1'
+ lineageremote
+ git push lineage HEAD:refs/heads/'$1'
fi
'
}
-function cmgerrit() {
+function lineagegerrit() {
if [ "$(__detect_shell)" = "zsh" ]; then
# zsh does not define FUNCNAME, derive from funcstack
local FUNCNAME=$funcstack[1]
@@ -445,7 +440,7 @@
case $1 in
__cmg_*) echo "For internal use only." ;;
changes|for)
- if [ "$FUNCNAME" = "cmgerrit" ]; then
+ if [ "$FUNCNAME" = "lineagegerrit" ]; then
echo "'$FUNCNAME $1' is deprecated."
fi
;;
@@ -538,7 +533,7 @@
$local_branch:refs/for/$remote_branch || return 1
;;
changes|for)
- if [ "$FUNCNAME" = "cmgerrit" ]; then
+ if [ "$FUNCNAME" = "lineagegerrit" ]; then
echo >&2 "'$FUNCNAME $command' is deprecated."
fi
;;
@@ -637,7 +632,7 @@
esac
}
-function cmrebase() {
+function lineagerebase() {
local repo=$1
local refs=$2
local pwd="$(pwd)"
@@ -645,7 +640,7 @@
if [ -z $repo ] || [ -z $refs ]; then
echo "LineageOS Gerrit Rebase Usage: "
- echo " cmrebase <path to project> <patch IDs on Gerrit>"
+ echo " lineagerebase <path to project> <patch IDs on Gerrit>"
echo " The patch IDs appear on the Gerrit commands that are offered."
echo " They consist on a series of numbers and slashes, after the text"
echo " refs/changes. For example, the ID in the following command is 26/8126/2"
@@ -794,7 +789,7 @@
echo "Device Found."
fi
- if (adb shell getprop ro.cm.device | grep -q "$CM_BUILD") || [ "$FORCE_PUSH" = "true" ];
+ if (adb shell getprop ro.lineage.device | grep -q "$LINEAGE_BUILD") || [ "$FORCE_PUSH" = "true" ];
then
# retrieve IP and PORT info if we're using a TCP connection
TCPIPPORT=$(adb devices \
@@ -912,7 +907,7 @@
rm -f $OUT/.log
return 0
else
- echo "The connected device does not appear to be $CM_BUILD, run away!"
+ echo "The connected device does not appear to be $LINEAGE_BUILD, run away!"
fi
}
@@ -931,7 +926,7 @@
function fixup_common_out_dir() {
common_out_dir=$(get_build_var OUT_DIR)/target/common
target_device=$(get_build_var TARGET_DEVICE)
- if [ ! -z $CM_FIXUP_COMMON_OUT ]; then
+ if [ ! -z $LINEAGE_FIXUP_COMMON_OUT ]; then
if [ -d ${common_out_dir} ] && [ ! -L ${common_out_dir} ]; then
mv ${common_out_dir} ${common_out_dir}-${target_device}
ln -s ${common_out_dir}-${target_device} ${common_out_dir}
diff --git a/build/tasks/dt_image.mk b/build/tasks/dt_image.mk
index 1e7adb6..63ae44d 100644
--- a/build/tasks/dt_image.mk
+++ b/build/tasks/dt_image.mk
@@ -6,7 +6,7 @@
ifneq ($(strip $(BOARD_KERNEL_PREBUILT_DT)),true)
ifeq ($(strip $(TARGET_CUSTOM_DTBTOOL)),)
-DTBTOOL_NAME := dtbToolCM
+DTBTOOL_NAME := dtbToolLineage
else
DTBTOOL_NAME := $(TARGET_CUSTOM_DTBTOOL)
endif
@@ -16,7 +16,7 @@
INSTALLED_DTIMAGE_TARGET := $(PRODUCT_OUT)/dt.img
ifeq ($(strip $(TARGET_CUSTOM_DTBTOOL)),)
-# dtbToolCM will search subdirectories
+# dtbToolLineage will search subdirectories
possible_dtb_dirs = $(KERNEL_OUT)/arch/$(KERNEL_ARCH)/boot/
else
# Most specific paths must come first in possible_dtb_dirs
diff --git a/build/templates/extract-files.sh b/build/templates/extract-files.sh
index 744715b..4e5b71c 100755
--- a/build/templates/extract-files.sh
+++ b/build/templates/extract-files.sh
@@ -25,9 +25,9 @@
MY_DIR="${BASH_SOURCE%/*}"
if [[ ! -d "$MY_DIR" ]]; then MY_DIR="$PWD"; fi
-CM_ROOT="$MY_DIR"/../../..
+LINEAGE_ROOT="$MY_DIR"/../../..
-HELPER="$CM_ROOT"/vendor/lineage/build/tools/extract_utils.sh
+HELPER="$LINEAGE_ROOT"/vendor/lineage/build/tools/extract_utils.sh
if [ ! -f "$HELPER" ]; then
echo "Unable to find helper script at $HELPER"
exit 1
@@ -57,7 +57,7 @@
fi
# Initialize the helper
-setup_vendor "$DEVICE" "$VENDOR" "$CM_ROOT" false "$CLEAN_VENDOR"
+setup_vendor "$DEVICE" "$VENDOR" "$LINEAGE_ROOT" false "$CLEAN_VENDOR"
extract "$MY_DIR"/proprietary-files.txt "$SRC" "$SECTION"
diff --git a/build/templates/setup-makefiles.sh b/build/templates/setup-makefiles.sh
index a961eb9..51b4ba2 100755
--- a/build/templates/setup-makefiles.sh
+++ b/build/templates/setup-makefiles.sh
@@ -27,9 +27,9 @@
MY_DIR="${BASH_SOURCE%/*}"
if [[ ! -d "$MY_DIR" ]]; then MY_DIR="$PWD"; fi
-CM_ROOT="$MY_DIR"/../../..
+LINEAGE_ROOT="$MY_DIR"/../../..
-HELPER="$CM_ROOT"/vendor/lineage/build/tools/extract_utils.sh
+HELPER="$LINEAGE_ROOT"/vendor/lineage/build/tools/extract_utils.sh
if [ ! -f "$HELPER" ]; then
echo "Unable to find helper script at $HELPER"
exit 1
@@ -37,7 +37,7 @@
. "$HELPER"
# Initialize the helper
-setup_vendor "$DEVICE" "$VENDOR" "$CM_ROOT"
+setup_vendor "$DEVICE" "$VENDOR" "$LINEAGE_ROOT"
# Copyright headers and guards
write_headers
diff --git a/build/tools/extract_utils.sh b/build/tools/extract_utils.sh
index a34c31c..d5cb79d 100644
--- a/build/tools/extract_utils.sh
+++ b/build/tools/extract_utils.sh
@@ -45,7 +45,7 @@
#
# $1: device name
# $2: vendor name
-# $3: CM root directory
+# $3: Lineage root directory
# $4: is common device - optional, default to false
# $5: cleanup - optional, default to true
# $6: custom vendor makefile name - optional, default to false
@@ -66,15 +66,15 @@
exit 1
fi
- export CM_ROOT="$3"
- if [ ! -d "$CM_ROOT" ]; then
- echo "\$CM_ROOT must be set and valid before including this script!"
+ export LINEAGE_ROOT="$3"
+ if [ ! -d "$LINEAGE_ROOT" ]; then
+ echo "\$LINEAGE_ROOT must be set and valid before including this script!"
exit 1
fi
export OUTDIR=vendor/"$VENDOR"/"$DEVICE"
- if [ ! -d "$CM_ROOT/$OUTDIR" ]; then
- mkdir -p "$CM_ROOT/$OUTDIR"
+ if [ ! -d "$LINEAGE_ROOT/$OUTDIR" ]; then
+ mkdir -p "$LINEAGE_ROOT/$OUTDIR"
fi
VNDNAME="$6"
@@ -82,9 +82,9 @@
VNDNAME="$DEVICE"
fi
- export PRODUCTMK="$CM_ROOT"/"$OUTDIR"/"$VNDNAME"-vendor.mk
- export ANDROIDMK="$CM_ROOT"/"$OUTDIR"/Android.mk
- export BOARDMK="$CM_ROOT"/"$OUTDIR"/BoardConfigVendor.mk
+ export PRODUCTMK="$LINEAGE_ROOT"/"$OUTDIR"/"$VNDNAME"-vendor.mk
+ export ANDROIDMK="$LINEAGE_ROOT"/"$OUTDIR"/Android.mk
+ export BOARDMK="$LINEAGE_ROOT"/"$OUTDIR"/BoardConfigVendor.mk
if [ "$4" == "true" ] || [ "$4" == "1" ]; then
COMMON=1
@@ -678,15 +678,15 @@
# Convert apk|jar .odex in the corresposing classes.dex
#
function oat2dex() {
- local CM_TARGET="$1"
+ local LINEAGE_TARGET="$1"
local OEM_TARGET="$2"
local SRC="$3"
local TARGET=
local OAT=
if [ -z "$BAKSMALIJAR" ] || [ -z "$SMALIJAR" ]; then
- export BAKSMALIJAR="$CM_ROOT"/vendor/lineage/build/tools/smali/baksmali.jar
- export SMALIJAR="$CM_ROOT"/vendor/lineage/build/tools/smali/smali.jar
+ export BAKSMALIJAR="$LINEAGE_ROOT"/vendor/lineage/build/tools/smali/baksmali.jar
+ export SMALIJAR="$LINEAGE_ROOT"/vendor/lineage/build/tools/smali/smali.jar
fi
# Extract existing boot.oats to the temp folder
@@ -706,11 +706,11 @@
FULLY_DEODEXED=1 && return 0 # system is fully deodexed, return
fi
- if [ ! -f "$CM_TARGET" ]; then
+ if [ ! -f "$LINEAGE_TARGET" ]; then
return;
fi
- if grep "classes.dex" "$CM_TARGET" >/dev/null; then
+ if grep "classes.dex" "$LINEAGE_TARGET" >/dev/null; then
return 0 # target apk|jar is already odexed, return
fi
@@ -721,7 +721,7 @@
if get_file "$OAT" "$TMPDIR" "$SRC"; then
java -jar "$BAKSMALIJAR" deodex -o "$TMPDIR/dexout" -b "$BOOTOAT" -d "$TMPDIR" "$TMPDIR/$(basename "$OAT")"
- elif [[ "$CM_TARGET" =~ .jar$ ]]; then
+ elif [[ "$LINEAGE_TARGET" =~ .jar$ ]]; then
# try to extract classes.dex from boot.oats for framework jars
JAROAT="$TMPDIR/system/framework/$ARCH/boot-$(basename ${OEM_TARGET%.*}).oat"
if [ ! -f "$JAROAT" ]; then
@@ -809,7 +809,7 @@
local HASHLIST=( ${PRODUCT_COPY_FILES_HASHES[@]} ${PRODUCT_PACKAGES_HASHES[@]} )
local COUNT=${#FILELIST[@]}
local SRC="$2"
- local OUTPUT_ROOT="$CM_ROOT"/"$OUTDIR"/proprietary
+ local OUTPUT_ROOT="$LINEAGE_ROOT"/"$OUTDIR"/proprietary
local OUTPUT_TMP="$TMPDIR"/"$OUTDIR"/proprietary
if [ "$SRC" = "adb" ]; then
@@ -817,7 +817,7 @@
fi
if [ -f "$SRC" ] && [ "${SRC##*.}" == "zip" ]; then
- DUMPDIR="$CM_ROOT"/system_dump
+ DUMPDIR="$LINEAGE_ROOT"/system_dump
# Check if we're working with the same zip that was passed last time.
# If so, let's just use what's already extracted.
@@ -837,7 +837,7 @@
# If OTA is block based, extract it.
elif [ -a "$DUMPDIR"/system.new.dat ]; then
echo "Converting system.new.dat to system.img"
- python "$CM_ROOT"/vendor/lineage/build/tools/sdat2img.py "$DUMPDIR"/system.transfer.list "$DUMPDIR"/system.new.dat "$DUMPDIR"/system.img 2>&1
+ python "$LINEAGE_ROOT"/vendor/lineage/build/tools/sdat2img.py "$DUMPDIR"/system.transfer.list "$DUMPDIR"/system.new.dat "$DUMPDIR"/system.img 2>&1
rm -rf "$DUMPDIR"/system.new.dat "$DUMPDIR"/system
mkdir "$DUMPDIR"/system "$DUMPDIR"/tmp
echo "Requesting sudo access to mount the system.img"
@@ -897,14 +897,14 @@
local DEST="$OUTPUT_DIR/$FROM"
if [ "$SRC" = "adb" ]; then
- # Try CM target first
+ # Try Lineage target first
adb pull "/$TARGET" "$DEST"
# if file does not exist try OEM target
if [ "$?" != "0" ]; then
adb pull "/$FILE" "$DEST"
fi
else
- # Try CM target first
+ # Try Lineage target first
if [ -f "$SRC/$TARGET" ]; then
cp "$SRC/$TARGET" "$DEST"
# if file does not exist try OEM target
@@ -996,7 +996,7 @@
local FILELIST=( ${PRODUCT_COPY_FILES_LIST[@]} )
local COUNT=${#FILELIST[@]}
local SRC="$2"
- local OUTPUT_DIR="$CM_ROOT"/"$OUTDIR"/radio
+ local OUTPUT_DIR="$LINEAGE_ROOT"/"$OUTDIR"/radio
if [ "$VENDOR_RADIO_STATE" -eq "0" ]; then
echo "Cleaning firmware output directory ($OUTPUT_DIR).."
diff --git a/build/tools/roomservice.py b/build/tools/roomservice.py
index 5020915..eb9e73a 100755
--- a/build/tools/roomservice.py
+++ b/build/tools/roomservice.py
@@ -153,7 +153,7 @@
# ... and don't forget the lineage snippet
try:
- lm = ElementTree.parse(".repo/manifests/snippets/cm.xml")
+ lm = ElementTree.parse(".repo/manifests/snippets/lineage.xml")
lm = lm.getroot()
except:
lm = ElementTree.Element("manifest")
@@ -203,34 +203,29 @@
def fetch_dependencies(repo_path, fallback_branch = None):
print('Looking for dependencies in %s' % repo_path)
- dependencies_paths = [repo_path + '/lineage.dependencies', repo_path + '/cm.dependencies']
- found_dependencies = False
+ dependencies_path = repo_path + '/lineage.dependencies'
syncable_repos = []
verify_repos = []
- for dependencies_path in dependencies_paths:
- if os.path.exists(dependencies_path):
- dependencies_file = open(dependencies_path, 'r')
- dependencies = json.loads(dependencies_file.read())
- fetch_list = []
+ if os.path.exists(dependencies_path):
+ dependencies_file = open(dependencies_path, 'r')
+ dependencies = json.loads(dependencies_file.read())
+ fetch_list = []
- for dependency in dependencies:
- if not is_in_manifest(dependency['target_path']):
- fetch_list.append(dependency)
- syncable_repos.append(dependency['target_path'])
- verify_repos.append(dependency['target_path'])
- elif re.search("android_device_.*_.*$", dependency['repository']):
- verify_repos.append(dependency['target_path'])
+ for dependency in dependencies:
+ if not is_in_manifest(dependency['target_path']):
+ fetch_list.append(dependency)
+ syncable_repos.append(dependency['target_path'])
+ verify_repos.append(dependency['target_path'])
+ elif re.search("android_device_.*_.*$", dependency['repository']):
+ verify_repos.append(dependency['target_path'])
- dependencies_file.close()
- found_dependencies = True
+ dependencies_file.close()
- if len(fetch_list) > 0:
- print('Adding dependencies to manifest')
- add_to_manifest(fetch_list, fallback_branch)
- break
-
- if not found_dependencies:
+ if len(fetch_list) > 0:
+ print('Adding dependencies to manifest')
+ add_to_manifest(fetch_list, fallback_branch)
+ else:
print('Dependencies file not found, bailing out.')
if len(syncable_repos) > 0: